%define name   gssmp
%define version 1.3
%define release %mkrel 1

Summary: GSSMP is a music player
Name:	 %{name}
Version: %{version}
Release: %{release}
Group:   Sound
License: GPv2
URL:	 http://gssmp.sourceforge.net/
Source:	 http://sourceforge.net/projects/gssmp/files/gssmp/1.3/%{name}-%{version}-bin.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: lastfmsubmitd
Requires: gstreamer0.10-plugins-base
Requires: gstreamer0.10-lame
Requires: GConf2
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1
Obsoletes:  %name < %version

%description
Gnome Simple Stateful Music Player is a small, simple music player that keeps out of 
your way whenever possible. It remembers recent tracks and allows you to continue 
listening to them next time.

%prep
%setup -q -n %{name}-%{version}-bin


%build

%install
rm -rf %{buildroot}
export DONT_STRIP=1
mkdir -p %buildroot%_bindir/
cp -af bin/%{name} %buildroot%_bindir/
chmod +x %{buildroot}%{_bindir}/%{name}

mkdir -p %buildroot%_datadir/
cp -af share/* %buildroot%_datadir/


desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Sound;Audio;Player" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

#remove
rm -rf %{buildroot}%{_datadir}/doc/gssmp


%clean
rm -rf %{buildroot}



%post
%{update_menus}
%{update_desktop_database}

%postun
%{clean_menus}
%{clean_desktop_database}

%files 
%defattr(-,root,root,-)
%doc share/doc/gssmp/*
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/man/man1/%{name}.1.bz2
%{_datadir}/pixmaps/%{name}.png


%changelog
* Sat Dec 05 2009 slick50 <lxgator@gmail.com> 1.3-1pclos2010
- initial pkg
